Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class ConversionException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.ConversionException`

All Implemented Interfaces:
  java.io.Serializable

public class ConversionException
extends TopLinkException

Purpose: Conversion exceptions such as method or class not defined will raise this exception.

See Also:
  Serialized Form

Field Summary
`static int` | `COULD_NOT_BE_CONVERTED`
`static int` | `COULD_NOT_BE_CONVERTED_EXTENDED`
`static int` | `COULD_NOT_BE_CONVERTED_TO_CLASS`
`static int` | `COULD_NOT_CONVERT_TO_BYTE_ARRAY`
`static int` | `INCORRECT_DATE_FORMAT`
`static int` | `INCORRECT_DATE_TIME_FORMAT`
`static int` | `INCORRECT_TIME_FORMAT`
`static int` | `INCORRECT_TIMESTAMP_FORMAT`

Method Summary
`static ConversionException` | `couldNotBeConverted(java.lang.Object object, java.lang.Class javaClass)`
`static ConversionException` | `couldNotBeConverted(java.lang.Object object, java.lang.Class javaClass, java.lang.Exception exception)`
`static ConversionException` | `couldNotBeConverted(java.lang.Object mapping, java.lang.Object descriptor, ConversionException exception)`
`static ConversionException` | `couldNotBeConvertedToClass(java.lang.Object object, java.lang.Class javaClass, java.lang.Exception exception)`
`static ConversionException` | `couldNotConvertToByteArray(java.lang.Object object)`
`java.lang.Class` | `getClassToConvertTo()` PUBLIC: Return the class to convert to.
`java.lang.Object` | `getSourceObject()` PUBLIC: Return the object for which the problem was detected.
`static ConversionException` | `incorrectDateFormat(java.lang.String dateString)`
`static ConversionException` | `incorrectDateTimeFormat(java.lang.String dateTimeString)`
`static ConversionException` | `incorrectTimeFormat(java.lang.String timeString)`
`static ConversionException` | `incorrectTimestampFormat(java.lang.String timestampString)`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getMessage, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COULD_NOT_BE_CONVERTED

    public static final int COULD_NOT_BE_CONVERTED

  See Also:
    Constant Field Values

### COULD_NOT_BE_CONVERTED_EXTENDED

    public static final int COULD_NOT_BE_CONVERTED_EXTENDED

  See Also:
    Constant Field Values

### INCORRECT_DATE_FORMAT

    public static final int INCORRECT_DATE_FORMAT

  See Also:
    Constant Field Values

### INCORRECT_TIME_FORMAT

    public static final int INCORRECT_TIME_FORMAT

  See Also:
    Constant Field Values

### INCORRECT_TIMESTAMP_FORMAT

    public static final int INCORRECT_TIMESTAMP_FORMAT

  See Also:
    Constant Field Values

### COULD_NOT_CONVERT_TO_BYTE_ARRAY

    public static final int COULD_NOT_CONVERT_TO_BYTE_ARRAY

  See Also:
    Constant Field Values

### COULD_NOT_BE_CONVERTED_TO_CLASS

    public static final int COULD_NOT_BE_CONVERTED_TO_CLASS

  See Also:
    Constant Field Values

### INCORRECT_DATE_TIME_FORMAT

    public static final int INCORRECT_DATE_TIME_FORMAT

  See Also:
    Constant Field Values

Method Detail

### couldNotBeConverted

    public static ConversionException couldNotBeConverted(java.lang.Object mapping,
                                                          java.lang.Object descriptor,
                                                          ConversionException exception)

### couldNotBeConverted

    public static ConversionException couldNotBeConverted(java.lang.Object object,
                                                          java.lang.Class javaClass)

### couldNotBeConverted

    public static ConversionException couldNotBeConverted(java.lang.Object object,
                                                          java.lang.Class javaClass,
                                                          java.lang.Exception exception)

### couldNotBeConvertedToClass

    public static ConversionException couldNotBeConvertedToClass(java.lang.Object object,
                                                                 java.lang.Class javaClass,
                                                                 java.lang.Exception exception)

### couldNotConvertToByteArray

    public static ConversionException couldNotConvertToByteArray(java.lang.Object object)

### incorrectDateFormat

    public static ConversionException incorrectDateFormat(java.lang.String dateString)

### incorrectTimeFormat

    public static ConversionException incorrectTimeFormat(java.lang.String timeString)

### incorrectTimestampFormat

    public static ConversionException incorrectTimestampFormat(java.lang.String timestampString)

### incorrectDateTimeFormat

    public static ConversionException incorrectDateTimeFormat(java.lang.String dateTimeString)

### getClassToConvertTo

    public java.lang.Class getClassToConvertTo()

  PUBLIC: Return the class to convert to.

### getSourceObject

    public java.lang.Object getSourceObject()

  PUBLIC: Return the object for which the problem was detected.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD